Create encounter pre-service run
Create encounter pre-service run
Submit a representation of an encounter to the Candid rules engine. Note that this encounter will not be created in Candid. Returns a run_id that can be polled via GET /runs/{run_id} to retrieve the results once complete.
Authentication
AuthorizationBearer
OAuth authentication of the form <token>.
Request
This endpoint expects an object.
entity
The encounter to evaluate against the rules engine.
pipeline_id
Identifies the set of rules to run against the encounter.
enabled_rule_ids
IDs of disabled rules to force-enable for this run (e.g. for testing new rules).
disabled_rule_ids
IDs of enabled rules to force-disable for this run (e.g., to “override” or skip certain rules).
idempotency_key
Prevents multiple rule runs from being dispatched in response to duplicate requests.
Response
This endpoint returns an object.
run_id
Errors
403
Unauthorized Error
422
Unprocessable Entity Error